# Copyright (C) 2020 Unitary Fund
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Quantum computer input/output.
from mitiq._typing import SUPPORTED_PROGRAM_TYPES, QPROGRAM, QuantumResult
from mitiq.rem.measurement_result import MeasurementResult

# Executors and observables.
from mitiq.executor import Executor
from mitiq.observable import PauliString, Observable

# Interface between Cirq circuits and supported frontends.
from mitiq import interface

# About and version.
from mitiq._about import about
from mitiq._version import __version__

# Error mitigation modules.
from mitiq import cdr, pec, rem, zne, ddd

# Parallel interface for no error mitigation (for examples/benchmarking).
from mitiq import raw
